gRPC C#
gRPC C#
Namespaces
Grpc.Core
ClientBase Class
ClientBase Properties
Channel Property
HeaderInterceptor Property
Host Property

ClientBase Properties

The ClientBase type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| Channel | Channel associated with this client.
| HeaderInterceptor | Can be used to register a custom header (request metadata) interceptor. The interceptor is invoked each time a new call on this client is started.
| Host | gRPC supports multiple "hosts" being served by a single server. This property can be used to set the target host explicitly. By default, this will be set to null with the meaning "use default host".

Top
See Also

#### Reference

ClientBase Class
Grpc.Core Namespace